Victor Catalán

Installing VirtualBox 5.1

August 07, 2016 | Victor Catalán | 1 Minute Read

Instalando Virtualbox 5.1 en Linux Mint 18, y como resolver la dependencia de libvpx1.

Estaba preparando un laboratorio para adentrarme en el mundo de Docker [Si alguno no lo conoce debería meterse en la página y empezar a conocerlo!!]. Lo primero que se suele hacer en estos casos es instalarte una máquina virtual para trastear en ella. Debido a una reorganización formateé mi equipo e instalé Linux Mint 18 que lo liberaron el mes pasado (Estoy muy contento con él desde que me lo enseñaron) y aún no había sentido la necesidad de utilizar Virtualbox.

Resumiendo.. que me enrollo!!! En el proceso de instalación he obtenido el siguiente error virtualbox-5.1 : Depends: libvpx1 (>= 1.0.0) .

Aggrrr!!! Menos mal que simplemente es que para ejecutar Virtualbox se necesita añadir una dependencia.

Después de esta introducción simplemente esto son los comandos que he ejecutado para poder instalarlo, por si a alguien más le pasa pueda resolverlo rápidamente.

# Descargar la librería necesaria
$ wget http://security.ubuntu.com/ubuntu/pool/main/libv/libvpx/libvpx1_1.3.0-3ubuntu1_amd64.deb

# Instalar el paquete deb
$ sudo gdebi libvpx1_1.3.0-3ubuntu1_amd64.deb

Y ahora que tenemos la dependencía instalada seguimos los pasos que podemos encontrar en la página oficial de descargas Virtualbox.

$ wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
$ wget -q https://www.virtualbox.org/download/oracle_vbox.asc -O- | sudo apt-key add -

$ sudo apt-get update
$ sudo apt-get install virtualbox-5.1

Saludos.